<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MoroccoIdentity (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MoroccoIdentity (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MoroccoIdentity.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/demographic/LocationDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/demographic/MoroccoIdentity.html" target="_top">Frames</a></li>
<li><a href="MoroccoIdentity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.demographic</div>
<h2 title="Class MoroccoIdentity" class="title">Class MoroccoIdentity</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/dto/demographic/Identity.html" title="class in io.mosip.registration.dto.demographic">io.mosip.registration.dto.demographic.Identity</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.demographic.MoroccoIdentity</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MoroccoIdentity</span>
extends <a href="../../../../../io/mosip/registration/dto/demographic/Identity.html" title="class in io.mosip.registration.dto.demographic">Identity</a></pre>
<div class="block">This class contains the applicant demographic, biometric, proofs and parent
 or guardian biometric details.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#MoroccoIdentity--">MoroccoIdentity</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getAddressLine1--">getAddressLine1</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getAddressLine2--">getAddressLine2</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getAddressLine3--">getAddressLine3</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getAge--">getAge</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getCity--">getCity</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getCnieNumber--">getCnieNumber</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getDateOfBirth--">getDateOfBirth</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getEmail--">getEmail</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getFullName--">getFullName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getGender--">getGender</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getIndividualBiometrics--">getIndividualBiometrics</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getLocalAdministrativeAuthority--">getLocalAdministrativeAuthority</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getParentOrGuardianBiometrics--">getParentOrGuardianBiometrics</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getParentOrGuardianName--">getParentOrGuardianName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getParentOrGuardianRIDOrUIN--">getParentOrGuardianRIDOrUIN</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getPhone--">getPhone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getPostalCode--">getPostalCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getProofOfAddress--">getProofOfAddress</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getProofOfDateOfBirth--">getProofOfDateOfBirth</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getProofOfIdentity--">getProofOfIdentity</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getProofOfRelationship--">getProofOfRelationship</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getProvince--">getProvince</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getRegion--">getRegion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getResidenceStatus--">getResidenceStatus</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#getUin--">getUin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setAddressLine1-java.util.List-">setAddressLine1</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;addressLine1)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setAddressLine2-java.util.List-">setAddressLine2</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;addressLine2)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setAddressLine3-java.util.List-">setAddressLine3</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;addressLine3)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setAge-java.lang.Integer-">setAge</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;age)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setCity-java.util.List-">setCity</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;city)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setCnieNumber-java.lang.String-">setCnieNumber</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cnieNumber)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setDateOfBirth-java.lang.String-">setDateOfBirth</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dateOfBirth)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setEmail-java.lang.String-">setEmail</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;email)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setFullName-java.util.List-">setFullName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;fullName)</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setGender-java.util.List-">setGender</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;gender)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setIndividualBiometrics-io.mosip.registration.dto.demographic.CBEFFFilePropertiesDTO-">setIndividualBiometrics</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a>&nbsp;individualBiometrics)</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setLocalAdministrativeAuthority-java.util.List-">setLocalAdministrativeAuthority</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;localAdministrativeAuthority)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setParentOrGuardianBiometrics-io.mosip.registration.dto.demographic.CBEFFFilePropertiesDTO-">setParentOrGuardianBiometrics</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a>&nbsp;parentOrGuardianBiometrics)</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setParentOrGuardianName-java.util.List-">setParentOrGuardianName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;parentOrGuardianName)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setParentOrGuardianRIDOrUIN-java.math.BigInteger-">setParentOrGuardianRIDOrUIN</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;parentOrGuardianRIDOrUIN)</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setPhone-java.lang.String-">setPhone</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;phone)</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setPostalCode-java.lang.String-">setPostalCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;postalCode)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setProofOfAddress-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">setProofOfAddress</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfAddress)</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setProofOfDateOfBirth-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">setProofOfDateOfBirth</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfDateOfBirth)</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setProofOfIdentity-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">setProofOfIdentity</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfIdentity)</code>&nbsp;</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setProofOfRelationship-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">setProofOfRelationship</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfRelationship)</code>&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setProvince-java.util.List-">setProvince</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;province)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setRegion-java.util.List-">setRegion</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setResidenceStatus-java.util.List-">setResidenceStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;residenceStatus)</code>&nbsp;</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/demographic/MoroccoIdentity.html#setUin-java.math.BigInteger-">setUin</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;uin)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.dto.demographic.Identity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.dto.demographic.<a href="../../../../../io/mosip/registration/dto/demographic/Identity.html" title="class in io.mosip.registration.dto.demographic">Identity</a></h3>
<code><a href="../../../../../io/mosip/registration/dto/demographic/Identity.html#getIdSchemaVersion--">getIdSchemaVersion</a>, <a href="../../../../../io/mosip/registration/dto/demographic/Identity.html#setIdSchemaVersion-double-">setIdSchemaVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MoroccoIdentity--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MoroccoIdentity</h4>
<pre>public&nbsp;MoroccoIdentity()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUin</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;getUin()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the uin</dd>
</dl>
</li>
</ul>
<a name="setUin-java.math.BigInteger-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUin</h4>
<pre>public&nbsp;void&nbsp;setUin(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;uin)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uin</code> - the uin to set</dd>
</dl>
</li>
</ul>
<a name="getFullName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getFullName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the fullName</dd>
</dl>
</li>
</ul>
<a name="setFullName-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFullName</h4>
<pre>public&nbsp;void&nbsp;setFullName(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;fullName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fullName</code> - the fullName to set</dd>
</dl>
</li>
</ul>
<a name="getResidenceStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResidenceStatus</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getResidenceStatus()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the residenceStatus</dd>
</dl>
</li>
</ul>
<a name="setResidenceStatus-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResidenceStatus</h4>
<pre>public&nbsp;void&nbsp;setResidenceStatus(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;residenceStatus)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>residenceStatus</code> - the residenceStatus to set</dd>
</dl>
</li>
</ul>
<a name="getDateOfBirth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateOfBirth</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDateOfBirth()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the dateOfBirth</dd>
</dl>
</li>
</ul>
<a name="setDateOfBirth-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDateOfBirth</h4>
<pre>public&nbsp;void&nbsp;setDateOfBirth(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dateOfBirth)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dateOfBirth</code> - the dateOfBirth to set</dd>
</dl>
</li>
</ul>
<a name="getAge--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAge</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;getAge()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the age</dd>
</dl>
</li>
</ul>
<a name="setAge-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAge</h4>
<pre>public&nbsp;void&nbsp;setAge(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&nbsp;age)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>age</code> - the age to set</dd>
</dl>
</li>
</ul>
<a name="getGender--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGender</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getGender()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the gender</dd>
</dl>
</li>
</ul>
<a name="setGender-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGender</h4>
<pre>public&nbsp;void&nbsp;setGender(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;gender)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gender</code> - the gender to set</dd>
</dl>
</li>
</ul>
<a name="getAddressLine1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAddressLine1</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getAddressLine1()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the addressLine1</dd>
</dl>
</li>
</ul>
<a name="setAddressLine1-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAddressLine1</h4>
<pre>public&nbsp;void&nbsp;setAddressLine1(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;addressLine1)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>addressLine1</code> - the addressLine1 to set</dd>
</dl>
</li>
</ul>
<a name="getAddressLine2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAddressLine2</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getAddressLine2()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the addressLine2</dd>
</dl>
</li>
</ul>
<a name="setAddressLine2-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAddressLine2</h4>
<pre>public&nbsp;void&nbsp;setAddressLine2(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;addressLine2)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>addressLine2</code> - the addressLine2 to set</dd>
</dl>
</li>
</ul>
<a name="getAddressLine3--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAddressLine3</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getAddressLine3()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the addressLine3</dd>
</dl>
</li>
</ul>
<a name="setAddressLine3-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAddressLine3</h4>
<pre>public&nbsp;void&nbsp;setAddressLine3(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;addressLine3)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>addressLine3</code> - the addressLine3 to set</dd>
</dl>
</li>
</ul>
<a name="getRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegion</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getRegion()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the region</dd>
</dl>
</li>
</ul>
<a name="setRegion-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegion</h4>
<pre>public&nbsp;void&nbsp;setRegion(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;region)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region to set</dd>
</dl>
</li>
</ul>
<a name="getProvince--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProvince</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getProvince()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the province</dd>
</dl>
</li>
</ul>
<a name="setProvince-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProvince</h4>
<pre>public&nbsp;void&nbsp;setProvince(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;province)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>province</code> - the province to set</dd>
</dl>
</li>
</ul>
<a name="getCity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCity</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getCity()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the city</dd>
</dl>
</li>
</ul>
<a name="setCity-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCity</h4>
<pre>public&nbsp;void&nbsp;setCity(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;city)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>city</code> - the city to set</dd>
</dl>
</li>
</ul>
<a name="getPostalCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPostalCode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPostalCode()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the postalCode</dd>
</dl>
</li>
</ul>
<a name="setPostalCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPostalCode</h4>
<pre>public&nbsp;void&nbsp;setPostalCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;postalCode)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>postalCode</code> - the postalCode to set</dd>
</dl>
</li>
</ul>
<a name="getPhone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPhone</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPhone()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the phone</dd>
</dl>
</li>
</ul>
<a name="setPhone-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhone</h4>
<pre>public&nbsp;void&nbsp;setPhone(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;phone)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>phone</code> - the phone to set</dd>
</dl>
</li>
</ul>
<a name="getEmail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmail</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEmail()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the email</dd>
</dl>
</li>
</ul>
<a name="setEmail-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEmail</h4>
<pre>public&nbsp;void&nbsp;setEmail(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;email)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - the email to set</dd>
</dl>
</li>
</ul>
<a name="getCnieNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCnieNumber</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCnieNumber()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cnieNumber</dd>
</dl>
</li>
</ul>
<a name="setCnieNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCnieNumber</h4>
<pre>public&nbsp;void&nbsp;setCnieNumber(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cnieNumber)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cnieNumber</code> - the cnieNumber to set</dd>
</dl>
</li>
</ul>
<a name="getLocalAdministrativeAuthority--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocalAdministrativeAuthority</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getLocalAdministrativeAuthority()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the localAdministrativeAuthority</dd>
</dl>
</li>
</ul>
<a name="setLocalAdministrativeAuthority-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocalAdministrativeAuthority</h4>
<pre>public&nbsp;void&nbsp;setLocalAdministrativeAuthority(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;localAdministrativeAuthority)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>localAdministrativeAuthority</code> - the localAdministrativeAuthority to set</dd>
</dl>
</li>
</ul>
<a name="getParentOrGuardianRIDOrUIN--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentOrGuardianRIDOrUIN</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;getParentOrGuardianRIDOrUIN()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parentOrGuardianRIDOrUIN</dd>
</dl>
</li>
</ul>
<a name="setParentOrGuardianRIDOrUIN-java.math.BigInteger-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentOrGuardianRIDOrUIN</h4>
<pre>public&nbsp;void&nbsp;setParentOrGuardianRIDOrUIN(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;parentOrGuardianRIDOrUIN)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentOrGuardianRIDOrUIN</code> - the parentOrGuardianRIDOrUIN to set</dd>
</dl>
</li>
</ul>
<a name="getParentOrGuardianName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentOrGuardianName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;getParentOrGuardianName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parentOrGuardianName</dd>
</dl>
</li>
</ul>
<a name="setParentOrGuardianName-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentOrGuardianName</h4>
<pre>public&nbsp;void&nbsp;setParentOrGuardianName(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic">ValuesDTO</a>&gt;&nbsp;parentOrGuardianName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentOrGuardianName</code> - the parentOrGuardianName to set</dd>
</dl>
</li>
</ul>
<a name="getProofOfAddress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProofOfAddress</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;getProofOfAddress()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the proofOfAddress</dd>
</dl>
</li>
</ul>
<a name="setProofOfAddress-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProofOfAddress</h4>
<pre>public&nbsp;void&nbsp;setProofOfAddress(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfAddress)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proofOfAddress</code> - the proofOfAddress to set</dd>
</dl>
</li>
</ul>
<a name="getProofOfIdentity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProofOfIdentity</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;getProofOfIdentity()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the proofOfIdentity</dd>
</dl>
</li>
</ul>
<a name="setProofOfIdentity-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProofOfIdentity</h4>
<pre>public&nbsp;void&nbsp;setProofOfIdentity(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfIdentity)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proofOfIdentity</code> - the proofOfIdentity to set</dd>
</dl>
</li>
</ul>
<a name="getProofOfRelationship--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProofOfRelationship</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;getProofOfRelationship()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the proofOfRelationship</dd>
</dl>
</li>
</ul>
<a name="setProofOfRelationship-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProofOfRelationship</h4>
<pre>public&nbsp;void&nbsp;setProofOfRelationship(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfRelationship)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proofOfRelationship</code> - the proofOfRelationship to set</dd>
</dl>
</li>
</ul>
<a name="getProofOfDateOfBirth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProofOfDateOfBirth</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;getProofOfDateOfBirth()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the proofOfDateOfBirth</dd>
</dl>
</li>
</ul>
<a name="setProofOfDateOfBirth-io.mosip.registration.dto.demographic.DocumentDetailsDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProofOfDateOfBirth</h4>
<pre>public&nbsp;void&nbsp;setProofOfDateOfBirth(<a href="../../../../../io/mosip/registration/dto/demographic/DocumentDetailsDTO.html" title="class in io.mosip.registration.dto.demographic">DocumentDetailsDTO</a>&nbsp;proofOfDateOfBirth)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proofOfDateOfBirth</code> - the proofOfDateOfBirth to set</dd>
</dl>
</li>
</ul>
<a name="getIndividualBiometrics--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIndividualBiometrics</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a>&nbsp;getIndividualBiometrics()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the individualBiometrics</dd>
</dl>
</li>
</ul>
<a name="setIndividualBiometrics-io.mosip.registration.dto.demographic.CBEFFFilePropertiesDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIndividualBiometrics</h4>
<pre>public&nbsp;void&nbsp;setIndividualBiometrics(<a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a>&nbsp;individualBiometrics)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>individualBiometrics</code> - the individualBiometrics to set</dd>
</dl>
</li>
</ul>
<a name="getParentOrGuardianBiometrics--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentOrGuardianBiometrics</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a>&nbsp;getParentOrGuardianBiometrics()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parentOrGuardianBiometrics</dd>
</dl>
</li>
</ul>
<a name="setParentOrGuardianBiometrics-io.mosip.registration.dto.demographic.CBEFFFilePropertiesDTO-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setParentOrGuardianBiometrics</h4>
<pre>public&nbsp;void&nbsp;setParentOrGuardianBiometrics(<a href="../../../../../io/mosip/registration/dto/demographic/CBEFFFilePropertiesDTO.html" title="class in io.mosip.registration.dto.demographic">CBEFFFilePropertiesDTO</a>&nbsp;parentOrGuardianBiometrics)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentOrGuardianBiometrics</code> - the parentOrGuardianBiometrics to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MoroccoIdentity.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/demographic/LocationDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dto/demographic/ValuesDTO.html" title="class in io.mosip.registration.dto.demographic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/demographic/MoroccoIdentity.html" target="_top">Frames</a></li>
<li><a href="MoroccoIdentity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
